%define        major %(echo %version | cut -d. -f -1)
%define subrel 1
Name:          servletapi4
Version:       4.1.40
Release:       %mkrel 3
Summary:       Java Servlet 2.3 and JSP API Classes
Group:         Development/Java
URL:           http://tomcat.apache.org
Source:        http://archive.apache.org/dist/tomcat/tomcat-%{major}/v%{version}/src/apache-tomcat-%{version}-src.tar.gz
Source1:       http://repo1.maven.org/maven2/javax/servlet/servlet-api/2.3/servlet-api-2.3.pom
License:       Apache Software License Version 1.1
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
Requires:      jpackage-utils
BuildArch:     noarch

%description
This subproject contains the source code for the implementation classes
of the Java Servlet and JSP APIs (packages javax.servlet).

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
This subproject contains the source code for the implementation classes
of the Java Servlet and JSP APIs (packages javax.servlet).

This package contains javadoc for %{name}.


%prep

%setup -q -n apache-tomcat-%{version}-src

for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done

%build

pushd servletapi
  ant -Dservletapi.build="build" \
    -Dservletapi.dist="dist" \
    -Dbuild.compiler="modern" dist
popd

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}

pushd servletapi/
  install -pm 644 dist/lib/servlet.jar \
      %{buildroot}%{_javadir}/servlet4-api-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed "s|-api||g"`
  done
)

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
  ln -s servlet4-api-%{version}.jar servletapi4.jar
)

mkdir -p  %{buildroot}%{_mavenpomdir}
cp -p %SOURCE1 %{buildroot}%{_mavenpomdir}/JPP-servletapi4.pom
%add_maven_depmap JPP-servletapi4.pom servletapi4.jar

mkdir -p %{buildroot}%{_javadocdir}/servletapi4-api-%{version}
cp -pr build/docs/api/* %{buildroot}%{_javadocdir}/servletapi4-api-%{version}
ln -s servletapi4-api-%{version} %{buildroot}%{_javadocdir}/servletapi4-api
popd

%files
%{_javadir}/servlet4-api-%{version}.jar
%{_javadir}/servlet4-api.jar
%{_javadir}/servlet4-%{version}.jar
%{_javadir}/servlet4.jar
%{_javadir}/servletapi4.jar
%{_mavendepmapfragdir}/*
%{_mavenpomdir}/*
%doc servletapi/LICENSE
%doc servletapi/README.txt

%files javadoc
%{_javadocdir}/servletapi4-api-%{version}
%{_javadocdir}/servletapi4-api



%changelog
* Sat May 16 2015 neoclust <neoclust> 4.1.40-3.1.mga4
+ Revision: 822164
- Remove old %%update_maven_depmap macro

* Sun Jan 05 2014 pterjan <pterjan> 4.1.40-3.mga4
+ Revision: 564843
- Make it mass-rebuildable

* Sat Aug 13 2011 gil <gil> 4.1.40-2.mga2
+ Revision: 133009
- added maven2 poms
- imported package servletapi4

  + dmorgan <dmorgan>
    - Clean spec file

